Page MenuHomePhabricator

Review and consolidate current Herald rules
Closed, ResolvedPublic

Description

Review and consolidate current Herald rules to improve the performance (T108586: Herald rules causing delays to task edit saves - getting worse).

Legend:
Rule is enabled
Rule is disabled
Rule doesn't affect Maniphest tasks

  • {H1}
  • {H2}
  • {H3}
  • {H4}
  • {H5}
  • {H6}
  • {H7}
  • {H8}
  • {H9}
  • {H10}
  • {H11}
  • {H12}
  • {H13}
  • {H14}
  • {H15}
  • {H16}
  • {H17}
  • {H18}
  • {H19}
  • {H20}
  • {H21}
  • {H22}
  • {H23}
  • {H24}
  • {H25}
  • {H26}
  • {H27}
  • {H28}
  • {H29}
  • {H30}
  • {H31}
  • {H32}
  • {H33}
  • {H34}
  • {H35}
  • {H36}
  • {H37}
  • {H38}
  • {H39}
  • {H40}
  • {H41}
  • {H42}
  • {H43}
  • {H44}
  • {H45}
  • {H46}
  • {H47}
  • {H48}
  • {H49}
  • {H50}
  • {H51}
  • {H52}
  • {H53}
  • {H54}
  • {H55}
  • {H56}
  • {H57}
  • {H58}
  • {H59}
  • {H60}
  • {H61}
  • {H62}
  • {H63}
  • {H64}
  • {H65}
  • {H66}
  • {H67}
  • {H68}
  • {H69}
  • {H70}
  • {H71}
  • {H72}
  • {H73}
  • {H74}
  • {H75}
  • {H76}
  • {H77}
  • {H78}
  • {H79}
  • {H80}
  • {H81}
  • {H82}
  • {H83} Affects: Commits
  • {H84}
  • {H85}
  • {H86} (duplicate to {H15})
  • {H87}
  • {H88}
  • {H89}
  • {H90}
  • {H91}
  • {H92}
  • {H93}
  • {H94}
  • {H95}
  • {H96} Affects: Differential Revisions
  • {H97}
  • {H98}
  • {H99}
  • {H100}
  • {H101}
  • {H102} Affects: Differential Revisions
  • {H103} Affects: Commits
  • {H104} Affects: Commit Hook: Branches/Tags/Bookmarks
  • {H105}
  • {H106}
  • {H107}
  • {H108}
  • {H109}
  • {H110}
  • {H111}
  • {H112}
  • {H113}
  • {H114}
  • {H115}
  • {H116}
  • {H117}
  • {H118}
  • {H119}
  • {H120}
  • {H121}
  • {H122} Affects: Differential Revisions
  • {H123}
  • {H124}
  • {H125}
  • {H126}
  • {H127}
  • {H128}
  • {H129}
  • {H130}
  • {H131}
  • {H132}
  • {H133} Affects: Outbound mail
  • {H134} Affects: Differential Revisions
  • {H135}
  • {H136}
  • {H137}
  • {H138}
  • {H139}
  • {H140}
  • {H141}
  • {H142}
  • {H143}
  • {H144}
  • {H145}
  • {H146}
  • {H147}
  • {H148}
  • {H149}
  • {H150}
  • {H151}
  • {H152}
  • {H153}
  • {H154}
  • {H155}
  • {H156}
  • {H157}
  • {H158}
  • {H159}
  • {H160}
  • {H161}
  • {H162} Affects: Commits
  • {H163}
  • {H164} -- Defacto archived as disabling a user will disable their personal rules.
  • {H165} Affects: Differential Revisions
  • {H166} -- Defacto archived as disabling a user will disable their personal rules.
  • {H167}
  • {H168}
  • {H169}
  • {H170}
  • {H171}
  • {H172}
  • {H173}
  • {H174}
  • {H175}
  • {H176}
  • {H177}
  • {H178}
  • {H179}
  • {H180}
  • {H181} Affects: Pholio mocks -- Defacto archived as disabling a user will disable their personal rules.
  • {H182}
  • {H183}
  • {H184}
  • {H185} -- Defacto archived as disabling a user will disable their personal rules.
  • {H186}
  • {H187}
  • {H188}
  • {H189}
  • {H190}
  • {H191}
  • {H192}
  • {H193}
  • {H194}
  • {H195}
  • {H196}
  • {H197}
  • {H198}
  • {H199}
  • {H200}
  • {H201}
  • {H202}
  • {H203}
  • {H204}
  • {H205}
  • {H206}
  • {H207}
  • {H208}
  • {H209}
  • {H210}
  • {H211}
  • {H212}
  • {H213}
  • {H214}
  • {H215}
  • {H216}
  • {H217}

Event Timeline

Danny_B created this task.Jul 31 2016, 12:15 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 31 2016, 12:15 AM
Danny_B updated the task description. (Show Details)Jul 31 2016, 12:24 AM
Danny_B updated the task description. (Show Details)Jul 31 2016, 12:49 AM
Danny_B updated the task description. (Show Details)Jul 31 2016, 12:56 AM
Danny_B added a comment.EditedJul 31 2016, 1:44 AM

Archived {H121} - all projects in condition are archived as passed away.

Danny_B added a comment.EditedJul 31 2016, 1:47 AM

Archived {H82} - all projects in condition are archived as passed away.

Danny_B updated the task description. (Show Details)Jul 31 2016, 2:05 AM
Danny_B updated the task description. (Show Details)Jul 31 2016, 11:37 AM
Luke081515 updated the task description. (Show Details)Jul 31 2016, 1:50 PM
Luke081515 added a subscriber: Luke081515.

(Updated my personal rules)

Danny_B moved this task from To Triage to Herald rules on the Phabricator board.Aug 2 2016, 1:31 AM
Danny_B updated the task description. (Show Details)
Danny_B updated the task description. (Show Details)Aug 2 2016, 2:15 AM
demon added a subscriber: demon.Aug 5 2016, 6:11 PM
Danny_B updated the task description. (Show Details)Aug 8 2016, 5:52 PM

Archived {H113} as a followup to archiving of maint-announce and {S6}

Aklapper updated the task description. (Show Details)Aug 9 2016, 5:03 PM

Documentation-wise, I've added a warning to https://www.mediawiki.org/w/index.php?title=Phabricator%2FHelp%2FHerald_Rules&action=historysubmit&type=revision&diff=2212092&oldid=2043112 about global Herald rules being expensive.
Feel free to improve / elaborate.

Danny_B updated the task description. (Show Details)Aug 10 2016, 1:26 AM
Luke081515 updated the task description. (Show Details)Aug 12 2016, 8:46 PM
Danny_B updated the task description. (Show Details)Aug 12 2016, 8:47 PM
faidon added a subscriber: faidon.Aug 16 2016, 12:08 PM

H16 and H22 can both be removed/archived.

demon updated the task description. (Show Details)Aug 16 2016, 3:51 PM

H16 and H22 can both be removed/archived.

Archived both.

Aklapper updated the task description. (Show Details)Dec 8 2016, 7:46 PM
Aklapper updated the task description. (Show Details)Dec 8 2016, 8:25 PM
Krenair updated the task description. (Show Details)Dec 8 2016, 9:38 PM
Krenair updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)Dec 9 2016, 12:39 PM
Aklapper claimed this task.Dec 9 2016, 12:44 PM

I'm going to steal this task from Danny as I reviewed all existing Herald rules and contacted authors for when project is X, add rule author as subscriber.

Results from the last 16h: Disabled H179, H43, H84, H89, H97, H98, H111, H112, H145, H172, H88.
(Plus H110 disabled by Mukunda for Maps folks.)

18 Herald more rules I hope to see disabled soon; I've contacted their authors.

I think after that we can call this task done for the time being.

Aklapper updated the task description. (Show Details)Dec 9 2016, 1:22 PM
Aklapper updated the task description. (Show Details)Dec 9 2016, 1:32 PM
Aklapper updated the task description. (Show Details)Dec 9 2016, 5:52 PM
Aklapper updated the task description. (Show Details)Dec 9 2016, 7:45 PM
Aklapper updated the task description. (Show Details)Dec 12 2016, 7:51 PM
Aklapper updated the task description. (Show Details)Dec 13 2016, 1:54 PM
Aklapper updated the task description. (Show Details)Dec 15 2016, 2:27 PM
Aklapper updated the task description. (Show Details)Dec 15 2016, 2:30 PM
Aklapper updated the task description. (Show Details)Dec 15 2016, 4:35 PM
Aklapper updated the task description. (Show Details)Dec 15 2016, 4:37 PM

Can {H29} be amended so when any of the projects are GlobalRename or SUL-Finalization the project MediaWiki-extensions-CentralAuth be added? Thanks.

Are these open SUL-Finalization tasks automatically also tasks that require work in the MediaWiki-extensions-CentralAuth codebase?

Are these open SUL-Finalization tasks automatically also tasks that require work in the MediaWiki-extensions-CentralAuth codebase?

I'd say yes (and the fact that nearly all tasks of SUL-F are in CA is a hint), but I think that @Legoktm or @hoo can better ask the question since @Keegan does not seem to be working on SUL-F anymore (?).

Aklapper lowered the priority of this task from Normal to Low.Dec 31 2016, 8:30 PM

Quick progress update:

  • Disabled: H189,H147,H61,H120,H107,H119,H55,H75,H115,H202,H156.
  • Contacted author of H71, H72, H73, H74 ; see T153455.
  • Contacted author of H93 twice per email; no reply yet. (Author is already member of that project.)
  • Contacted author of H137, H138, H139, H142 on-wiki; no reply yet. Proposing to just disable the rules but not that easily possible:
#$ sudo /srv/phab/phabricator/bin/policy unlock H137
Unlocking: H137
View policy is not mutable.
Edit policy is not mutable.
Object has no mutable policies. Try unlocking parent/container object instead. For example, to gain access to a commit, unlock the repository it belongs to.

Hence moving task to Q1/2017 for those few items left to sort out before closing this task as resolved.

Aklapper updated the task description. (Show Details)Jan 23 2017, 3:04 PM

T128500#2488150 implies that to disable Herald rules, currently DB access is needed?
Asking as I'd like to disable H93, H137, H138, H139, H142.

Are these open SUL-Finalization tasks automatically also tasks that require work in the MediaWiki-extensions-CentralAuth codebase?

@Keegan does not seem to be working on SUL-F anymore (?).

Correct.

@mmodell: Could you (or someone else with DB access) run
[phabricator_herald]> UPDATE herald_rule SET isDisabled = 1 WHERE id = 71 OR id = 72 OR id = 73 OR id = 74 OR id = 93 OR id = 137 OR id = 138 OR id = 139 OR id = 142;
? (Just guessing, that command is untested.) Because after that I'd call this task resolved and would close T153455 as declined.

@Aklapper:

UPDATE herald_rule SET isDisabled = 1 WHERE id = 71 OR id = 72 OR id = 73 OR id = 74 OR id = 93 OR id = 137 OR id = 138 OR id = 139 OR id = 142;
Query OK, 9 rows affected (0.00 sec)
Rows matched: 9 Changed: 9 Warnings: 0

[] Done

Aklapper closed this task as Resolved.Jan 28 2017, 2:05 PM

Thanks a lot! I've notified two authors of those rules via a third email, and one in T153455.

Calling this done for the time being and closing as resolved. \o/
Thanks everybody for their help!

Qgil awarded a token.Jan 30 2017, 6:56 AM